//单行文本
export const singleLine =
` <a-form-item :label="formData.value.label">
    <a-input v-decorator="[formData.value.name]"  :disabled="formData.value.disabled" :readonly="formData.value.readonly"></a-input>
  </a-form-item>`

//多行文本
export const multiLine =
` <a-form-item :label="formData.value.label">
       <a-textarea v-decorator="[formData.value.name]" placeholder="Controlled autosize" :disabled="formData.value.disabled"/>
  </a-form-item>`

//文本对象
export const lineJs=
    `   {
        type:"input",
        label:'',
        name:'',
        readonly:false,
        disabled:false
}`

//下拉
export const select =
` <a-form-item :label="formData.value.label">
    <a-select v-decorator="[formData.value.name]" @change="">
      <a-select-option v-if="formData.value.options" v-for="item in formData.value.options" :value="item.value">{{ item.label }}</a-select-option>
    </a-select>
  </a-form-item>`

//复选框
export const checkbox =
`  <a-form-item :label="formData.value.label">
     <a-checkbox-group  v-decorator="[formData.value.name]" name="checkboxgroup" :options="formData.value.options" @change=""/>
  </a-form-item>`

//单选
export const radio =
`  <a-form-item :label="formData.value.label">
      <a-radio-group v-decorator="[formData.value.name]" :options="formData.value.options"  @change="" />
  </a-form-item>`

//     <a-radio-group v-model="formData.value.name" @change="onChange">
//     <a-radio  v-if="formData.value.options" v-for="item in formData.value.options" :value="item.value">
//     {{ item.label }}
// </a-radio>
// </a-radio-group>
export const selectJs =
    `  {
          type:"select",
          label:' ',
          name:'',
          disabled:false,
          options:[
            {value:'1',label:'ac'},
            {value:'2',label:'de'}
          ]
        }`

//树
export const datePicker =
`  <a-form-item :label="formData.value.label">
      <a-date-picker show-time placeholder="Select Time" @change="onChange" @ok="onOk" v-decorator="[formData.value.name]"/>
  </a-form-item>`

