import pureProp from '../../pure-prop'
import {uuid} from '../../../../utils/strUtils'
const name = 'x-fd-layout'

export default {
  name,
  text:'栅栏布局',
  
  defaultValue(){
    return pureProp({
      type:name,
      cells:2,
      cellElements:[{weight:1},{weight:1}],
      borderWidth:'1px',
      borderStyle:'solid',
      borderColor:'#b5b5b5',
      bgColor:'#ffffff',
      marginTop:'-1px',
      marginBottom:'0px',
      marginLeft:'8px',
      marginRight:'8px',
      paddingLeft:'8px',
      paddingRight:'8px',
      id:uuid()
    })
  }
}